var FadedAction = function(vars) {
	/* 
	vars: {
		onMid: function(FadedAction a) -- optional, called in between hide and show.
		onEnd: function(FadedAction a) -- optional, called upon complete.
		props: {} -- custom props to add to the action.
	}
	*/
	this.onMid = vars.onMid;
	this.onEnd = vars.onEnd;
	this.delay = 25; //between timeouts
	this.props = vars.props;
};

FadedAction.prototype = {

	start: function() {
		$('#pullView').css({
			opacity: 0,
		});
		setTimeout(this._onMid.bind(this), this.delay);
	},

	_onMid: function() {
		if(this.onMid) {
			this.onMid(this);
		}
		setTimeout(this._onEnd.bind(this), this.delay);
	},

	_onEnd: function() {
		$('#pullView').css({
			opacity: 1,
		});
		if(this.onEnd) {
			this.onEnd(this);
		}
	},


};

